Page MenuHomePhabricator

WikiEditor hides the "'Edit help'" links (because it supplies its own in the toolbar), but CodeEditor doesn't
Closed, ResolvedPublic

Description

Something seems to be wrong. 'Edit help' link ([[MediaWiki:Edithelp]]) shows when you edit CSS and JS pages only, and has problems with padding.

Steps to reproduce

  1. Open any JS or CSS page in User's or MediaWiki's namespaces and start to edit them.
  2. Find the the 'Edit help' button near 'Cancel' button
  3. Open any not JS or CSS page in anywhere and start to edit them.
  4. Try to find the the 'Edit help' button near 'Cancel' button

Actual Result

'Edit help' shows when you edit CSS and JS pages only

Expected Result

'Edit help' shouldn't be displayed when you edit CSS and JS pages, and should be displayed when you edit standard pages only

Event Timeline

Is this really a site request?

Why not?

How can this be fixed by changing a configuration variable? Or by running a script? This is a site request. This seems to be a bug in the software and then it is not a site request. In another words, is there a configuration variable that says when is 'Edit help' displayed? If not, this isn't a site request.

How can this be fixed by changing a configuration variable? Or by running a script? This is a site request. This seems to be a bug in the software and then it is not a site request. In another words, is there a configuration variable that says when is 'Edit help' displayed? If not, this isn't a site request.

Yes, you are right. Once the problem is identified, we can decide about tag.

Jdlrobson added a subscriber: Jdlrobson.

Something seems to be wrong. 'Edit help' link ([[MediaWiki:Edithelp]]) shows when you edit CSS and JS pages only, and has problems with padding.

This is going to need some clearer steps to reproduce

  • Where are you seeing this?
  • Which page?
  • Which skin are you using?
  • How do we replicate?

I see editing help at the bottom here:

Seems like this is in the realm of the editing team so adding VisualEditor to get their attention.

Have a look at
https://cs.wikipedia.org/w/index.php?title=Salamis&action=edit for example.
There is no help text. You're looking into JS page where it is displayed in
real world and according to the task's title.

Iniquity updated the task description. (Show Details)
Iniquity updated the task description. (Show Details)
Jdforrester-WMF renamed this task from 'Edit help' shows when you edit CSS and JS pages only to WikiEditor hides the "'Edit help'" links (because it supplies its own in the toolbar), but CodeEditor doesn't.Aug 23 2017, 10:57 PM
Jdforrester-WMF edited projects, added WikiEditor, CodeEditor; removed VisualEditor.

This has been the case in WikiEditor (aka "the 2010 wikitext editor") as part of T49708: Line height jumps when focusing WikiEditor in Internet Explorer 9 in April 2014, because the user help documentation for WikiEditor is embedded within the editor (this was the main point of that editor, as brought out in the extensive user testing that led to its commissioning and later the visual editor).

The CodeEditor (the similar-looking interface that edits CSS and JavaScript pages, alongside others), doesn't suppress this, in part because it's different code and no-one got around to it, and in part because, well, unlike WikiEditor it doesn't provide in-context user help documentation.

I'm minded to Decline this, though I could be convinced to add the same hiding to CodeEditor.

@Jdforrester-WMF Can it be easier to remove this part of code?

@Jdforrester-WMF Can it be easier to remove this part of code?

You mean, remove the edit help link from all users (i.e. in practice, from non-JavaScript users)? I'm not sure I see how that would be a good change.

Ehm, are you sure this is DECLINED? Why is the help link displayed only to users w/o JavaScript? Shouldn't it be displayed to all users? All users can be seeking for editing help, there's no reason why it shouldn't be right next to the Save/Publish button.

Ehm, are you sure this is DECLINED? Why is the help link displayed only to users w/o JavaScript? Shouldn't it be displayed to all users? All users can be seeking for editing help, there's no reason why it shouldn't be right next to the Save/Publish button.

Please read my comment above which has my explanation.

Oh, I understand now. Thank you.

Iniquity reopened this task as Open.EditedAug 24 2017, 7:50 PM

You mean, remove the edit help link from all users (i.e. in practice, from non-JavaScript users)? I'm not sure I see how that would be a good change.

@Jdforrester-WMF Oh, yes, it is, Im sorry. Misread your message. Anyway, what u think to do with CodeEditor, or it is better to create another task?

Change 373682 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CodeEditor@master] Hides MediaWiki's "'Edit help'" links which aren't relevant to non-wikitext content

https://gerrit.wikimedia.org/r/373682

Sure, done ^^^; will get someone to review.

matmarex changed the task status from Declined to Resolved.Aug 28 2017, 2:08 PM
matmarex assigned this task to Jdforrester-WMF.
matmarex added a subscriber: matmarex.

Change 373682 merged by jenkins-bot:
[mediawiki/extensions/CodeEditor@master] Hide MediaWiki's "Edit help" links which aren't relevant to non-wikitext content

https://gerrit.wikimedia.org/r/373682